Bug 201980 - Add Remove Programs / Software updater
Add Remove Programs / Software updater
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-10 03:15 EDT by Ian
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-11 16:52:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian 2006-08-10 03:15:59 EDT
Description of problem: Consumption of bandwidth / Auto close when one action 
is completed,requiring restart to continue using the utility.


Version-Release number of selected component (if applicable):


How reproducible: These problems occur each time the applications are run.


Steps to Reproduce:
1.
2.
3.
  
Actual results:Applications consume full bandwidth (adsl 512/128)
               Add remove programs closes automatically after a single 
operation.


Expected results: I would like to be able to browse the web and or send 
receive mail, etc, while the applications are in progress (ie: updating 
software).
                 Be able to install or remove a program with Add Remove 
Programs and not have to restart it to use it again.


Additional info:There is no available help files.
Comment 1 Peter Gordon 2006-08-10 03:20:49 EDT
Seems like a real problem with Pirut (the default graphical package add/remove
tool), and not a package review request. Fixing.
Comment 2 Seth Vidal 2006-08-10 07:21:47 EDT
your description about other things being usable. Do you want to control the
amount of bandwidth used by the software updating system?
Comment 3 Ian 2006-08-10 07:53:02 EDT
Yes that would be ideal.
Comment 4 Rahul Sundaram 2006-08-10 15:58:01 EDT
The auto close issue is already reported in
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=182499
Comment 5 Ian 2006-08-10 18:54:00 EDT
Thanks Rahul, I did do a search but obviously not thorough enough. 
The problem with selecting multiple programs for install or removal is the 
amount of time/bandwidth consumed. (From what I've been able to find Pirut 
doesn't have a pause/resume function). Which means once started that's it, 
unless I want to play frozen bubble or something I just sit and wait for it to 
finish before I can access the net again.
Comment 6 Jeremy Katz 2006-09-11 16:52:45 EDT
You can configure throttling in /etc/yum.conf -- see man yum.conf for the details

As Rahul says, the autoclose issue is bug 182499

Note You need to log in before you can comment on or make changes to this bug.